package at.ac.uibk.gitsearch.service.dto;

import java.io.Serializable;
import java.util.List;

public class ReviewRequest implements Serializable {

    private static final long serialVersionUID = 6273672415826123481L;

    String resource;
    String link;
    String resourceID;
    List<String> users;

    public ReviewRequest() {}

    public ReviewRequest(String resource, List<String> users) {
        this.resource = resource;
        this.users = users;
    }

    public ReviewRequest(String resource, String link, List<String> users) {
        this.resource = resource;
        this.link = link;
        this.users = users;
    }

    public ReviewRequest(String resource, String link, String resourceID, List<String> users) {
        this.resource = resource;
        this.link = link;
        this.resourceID = resourceID;
        this.users = users;
    }

    public String getResourceID() {
        return resourceID;
    }

    public void setResourceID(String resourceID) {
        this.resourceID = resourceID;
    }

    public String getLink() {
        return link;
    }

    public void setLink(String link) {
        this.link = link;
    }

    public String getResource() {
        return resource;
    }

    public void setResource(String resource) {
        this.resource = resource;
    }

    public List<String> getUsers() {
        return users;
    }

    public void setUsers(List<String> users) {
        this.users = users;
    }
}
