import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';

import { IReviewHistoryEntry } from '../review-history-entry.model';

@Component({
  selector: 'jhi-review-history-entry-detail',
  templateUrl: './review-history-entry-detail.component.html',
})
export class ReviewHistoryEntryDetailComponent implements OnInit {
  reviewHistoryEntry: IReviewHistoryEntry | null = null;

  constructor(protected activatedRoute: ActivatedRoute) {}

  ngOnInit(): void {
    this.activatedRoute.data.subscribe(({ reviewHistoryEntry }) => {
      this.reviewHistoryEntry = reviewHistoryEntry;
    });
  }

  previousState(): void {
    window.history.back();
  }
}
