export class Review {
  id: number | undefined;
  resource: string | undefined;
  users: string[] | undefined;
  status: string[] | undefined;
  comments: string[] | undefined;
  requestedBy: string | undefined;
  link: string | undefined;
  badgeRewarded: boolean | undefined;
  resourceID: string | undefined;

  constructor(resource: string, users: string[], status: string[], comments: string[]) {
    this.resource = resource;
    this.users = users;
    this.status = status;
    this.comments = comments;
  }
}

export class ReviewStatisticsDTO {
  reviewInProgress = 0;
  reviewImproved = 0;
  reviewCompleted = 0;
  unknownStats = 0;
  reviewsRequestedByUser = 0;
  reviewInProgressByUser = 0;
  reviewImprovementRequestedByUser = 0;
  reviewCompletedByUser = 0;
  unknownStatsByUser = 0;
  badgesRewarded = 0;
}
